/*
 * $Id: InstrumentationClassLoader.java,v 1.1 2006/01/10 19:01:41 lehmann Exp $
 * 
 * Copyright (C) 2004 Karsten Lehmann
 * 
 * Software Engineering Chair, Saarland University
 * Prof. Dr. Andreas Zeller
 *
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
 *
 * Created on 03.05.2005 10:00:00 by
 * @author Karsten Lehmann 
 * Mail to: lehmann@cs.uni-sb.de or KarstenLehmann@web.de
 */
package org.deltadebugging.ddstate.launcher.bcel.instrumenter;

import org.apache.bcel.classfile.JavaClass;

/**
 * @author lehmann
 * 
 * TODO To change the template for this generated type comment go to Window -
 * Preferences - Java - Code Style - Code Templates
 */
public class InstrumentationClassLoader extends org.apache.bcel.util.ClassLoader {

    private final IClassInstrumenter fClassInstrumenter;

    public InstrumentationClassLoader(IClassInstrumenter classInstrumenter) {
        super(classInstrumenter.getIgnoredPackages());
        this.fClassInstrumenter = classInstrumenter;
    }

    /*
     * (non-Javadoc)
     * 
     * @see org.apache.bcel.util.ClassLoader#modifyClass(org.apache.bcel.classfile.JavaClass)
     */
    protected JavaClass modifyClass(JavaClass clazz) {
        try {
            return this.fClassInstrumenter.modifyClass(clazz);
        } catch (InstrumentationException e) {
            throw new RuntimeException("Cannot modify class", e);
        }
    }

    /*
     * (non-Javadoc)
     * 
     * @see java.lang.ClassLoader#loadClass(java.lang.String, boolean)
     */
    protected Class loadClass(String class_name, boolean resolve)
            throws ClassNotFoundException {

        Class clazz = super.loadClass(class_name, resolve);

        return clazz;
    }
}