/*
 * $Id: DDTestResult.java,v 1.1 2005/06/14 17:30:08 lehmann Exp $
 * 
 * Copyright (C) 2005 Karsten Lehmann
 * 
 * Software Engineering Chair, Saarland University
 * Prof. Dr. Andreas Zeller
 *
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
 *
 * Created on 14.06.2005 15:10:04 by
 * @author Karsten Lehmann 
 * Mail to: lehmann@cs.uni-sb.de or KarstenLehmann@web.de
 */
package org.deltadebugging.ddstate.launcher.ddrun;

import org.deltadebugging.ddcore.DeltaSet;

/**
 * COMMENTME Comment type DDTestResult
 * 
 * @author <a href="mailto:KarstenLehmann@web.de">Karsten Lehmann </a>
 */
public class DDTestResult implements IDDTestResult {

    private final int fSerialNumber;
    private final DeltaSet fTestedDeltas;
    private final int fOutcome;

    /**
     *  
     */
    public DDTestResult(int serialNumber, DeltaSet testedDeltas, int outcome) {
        this.fSerialNumber = serialNumber;
        this.fTestedDeltas = testedDeltas;
        this.fOutcome = outcome;
    }

    /*
     * (non-Javadoc)
     * 
     * @see org.deltadebugging.ddstate.launcher.ddrun.IDDTestResult#getSerialNumber()
     */
    public int getSerialNumber() {
        return this.fSerialNumber;
    }

    /*
     * (non-Javadoc)
     * 
     * @see org.deltadebugging.ddstate.launcher.ddrun.IDDTestResult#getTestedDeltas()
     */
    public DeltaSet getTestedDeltas() {
        return this.fTestedDeltas;
    }

    /*
     * (non-Javadoc)
     * 
     * @see org.deltadebugging.ddstate.launcher.ddrun.IDDTestResult#getOutcome()
     */
    public int getOutcome() {
        return this.fOutcome;
    }
}
