/*
 * $Id: IDDRunDescription.java,v 1.6 2005/08/10 20:29:59 lehmann Exp $
 * 
 * Copyright (C) 2005 Karsten Lehmann
 * 
 * Software Engineering Chair, Saarland University
 * Prof. Dr. Andreas Zeller
 *
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
 *
 * Created on 13.06.2005 17:29:13 by
 * @author Karsten Lehmann 
 * Mail to: lehmann@cs.uni-sb.de or KarstenLehmann@web.de
 */
package org.deltadebugging.ddstate.launcher.ddrun;

import org.deltadebugging.ddstate.launcher.client.ITestDescription;

/**
 * The delta debugging run description includes all information to excecute one
 * delta debugging run on well defined locations (match point) in the test
 * runs. This description is used to compute all relevant deltas between the
 * failing and the passing run at the given match point.
 *
 * @author <a href="mailto:KarstenLehmann@web.de">Karsten Lehmann</a>
 */
public interface IDDRunDescription {
    
    public void setDDRunID(int ddRunID);
    public int getDDRunID();
    
    public ITestDescription getPassTestDescription();
    public ITestDescription getFailTestDescription();
}
