/*
 * $Id: IDDRunStatusCodes.java,v 1.2 2005/08/23 13:16:48 lehmann Exp $
 * 
 * Copyright (C) 2005 Karsten Lehmann
 * 
 * Software Engineering Chair, Saarland University
 * Prof. Dr. Andreas Zeller
 *
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
 *
 * Created on 06.06.2005 13:18:53 by
 * @author Karsten Lehmann 
 * Mail to: lehmann@cs.uni-sb.de or KarstenLehmann@web.de
 */
package org.deltadebugging.ddstate.launcher.ddrun;

/**
 * This status codes are used in the dd run result status.
 * 
 * @author <a href="mailto:KarstenLehmann@web.de">Karsten Lehmann </a>
 */
public interface IDDRunStatusCodes {

	/**
	 * No deltas found between the two memory graphs.
	 */
	public final static int NO_DELTAS_FOUND = 1;

	/**
	 *  After all deltas are executed the passing run does not fail.
	 */
	public final static int PASSING_RUN_NOT_FAIL = 2;

	/**
	 *  After all deltas are executed the failing run does not pass (reverse delta computing).
	 */
	public final static int FAILING_RUN_NOT_PASS = 3;

	/**
	 * On starting the junit test server is an error occured.
	 */
	public final static int FAIL_START_JUNIT_SERVER = 4;

	/**
	 * The defined breakpoint was either never hit or not hit in the given time interval. 
	 */
	public final static int BP_NOT_HIT = 5;

	/**
	 * The extraction of the passing graph ends with error(s).
	 */
	public final static int PASS_GRAPH_EXTRACTION_FAILS = 6;

	/**
	 * The extraction of the failing graph ends with error(s).
	 */
	public final static int FAIL_GRAPH_EXTRACTION_FAILS = 7;

	/**
	 * The test run was aborted.
	 */
	public final static int TEST_ABORTED = 8;

	/** 
	 * The creation of the modified runtime jar failed.
	 */
	public final static int CREATION_MOD_RT_JAR_FAILED = 9;

	/**
	 * An unexpected error is occured on the delta debugging run.
	 */
	public final static int UNEXPECTED_ERROR = 10;

}
