/*
 * $Id: BaseMatcherResult.java,v 1.2 2005/08/10 18:26:40 lehmann Exp $
 * 
 * Copyright (C) 2005 Karsten Lehmann
 * 
 * Software Engineering Chair, Saarland University
 * Prof. Dr. Andreas Zeller
 *
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
 *
 * Created on Aug 4, 2005 5:16:57 PM by
 * @author Karsten Lehmann 
 * Mail to: lehmann@cs.uni-sb.de or KarstenLehmann@web.de
 */
package org.deltadebugging.ddstate.launcher.matcher;

/**
 * This information container will used to share base informations among the
 * type hierarchie of the method call matchers.
 * 
 * @author <a href="mailto:KarstenLehmann@web.de">Karsten Lehmann </a>
 */
public class BaseMatcherResult {

	private int fPassingJUnitMethodID = -1;
	private int fFailingJUnitMethodID = -1;

	private MethodTrace fPassingMethodTrace = null;

	private MethodTrace fFailingMethodTrace = null;

	private StackTrace[] fPassingStackTraces = null;

	private StackTrace[] fFailingStackTraces = null;

	public int getFailingJUnitMethodID() {
		return this.fFailingJUnitMethodID;
	}

	public void setFailingJUnitMethodID(int failingJUnitMethodID) {
		this.fFailingJUnitMethodID = failingJUnitMethodID;
	}

	public MethodTrace getFailingMethodTrace() {
		return this.fFailingMethodTrace;
	}

	public void setFailingMethodTrace(MethodTrace failingMethodTrace) {
		this.fFailingMethodTrace = failingMethodTrace;
	}

	public StackTrace[] getFailingStackTraces() {
		return this.fFailingStackTraces;
	}

	public void setFailingStackTraces(StackTrace[] failingStackTrace) {
		this.fFailingStackTraces = failingStackTrace;
	}

	public int getPassingJUnitMethodID() {
		return this.fPassingJUnitMethodID;
	}

	public void setPassingJUnitMethodID(int passingJUnitMethodID) {
		this.fPassingJUnitMethodID = passingJUnitMethodID;
	}

	public MethodTrace getPassingMethodTrace() {
		return this.fPassingMethodTrace;
	}

	public void setPassingMethodTrace(MethodTrace passingMethodTrace) {
		this.fPassingMethodTrace = passingMethodTrace;
	}

	public StackTrace[] getPassingStackTraces() {
		return this.fPassingStackTraces;
	}

	public void setPassingStackTraces(StackTrace[] passingStackTrace) {
		this.fPassingStackTraces = passingStackTrace;
	}
}
