/*
 * $Id: AbstractBreakpointLocation.java,v 1.1 2005/08/15 12:11:45 lehmann Exp $
 * 
 * Copyright (C) 2005 Karsten Lehmann
 * 
 * Software Engineering Chair, Saarland University
 * Prof. Dr. Andreas Zeller
 *
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
 *
 * Created on 15.08.2005 11:41:36 by
 * @author Karsten Lehmann 
 * Mail to: lehmann@cs.uni-sb.de or KarstenLehmann@web.de
 */
package org.deltadebugging.ddstate.launcher.matcher.breakpoint;

/**
 * COMMENTME Comment type ${type_name}
 * 
 * @author <a href="mailto:KarstenLehmann@web.de">Karsten Lehmann</a>
 */
public abstract class AbstractBreakpointLocation implements IBreakpointLocation {

	private final String fTypeName;

	private final int fHitCount;

	public AbstractBreakpointLocation(String typeName, int hitCount) {
		this.fTypeName = typeName;
		this.fHitCount = hitCount;
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see org.deltadebugging.ddstate.launcher.matcher.breakpoint.IBreakpointDesc#getHitCount()
	 */
	public int getHitCount() {
		return this.fHitCount;
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see org.deltadebugging.ddstate.launcher.matcher.breakpoint.IBreakpointDesc#getTypeName()
	 */
	public String getTypeName() {
		return this.fTypeName;
	}

}
