/*
 * $Id: IBreakpointLocation.java,v 1.1 2005/08/15 12:03:47 lehmann Exp $
 * 
 * Copyright (C) 2005 Karsten Lehmann
 * 
 * Software Engineering Chair, Saarland University
 * Prof. Dr. Andreas Zeller
 *
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
 *
 * Created on 15.08.2005 11:39:18 by
 * @author Karsten Lehmann 
 * Mail to: lehmann@cs.uni-sb.de or KarstenLehmann@web.de
 */
package org.deltadebugging.ddstate.launcher.matcher.breakpoint;

/**
 * The breakpoint location defines the location where a breakpoint should
 * installed.
 * 
 * @author <a href="mailto:KarstenLehmann@web.de">Karsten Lehmann</a>
 */
public interface IBreakpointLocation {

	/**
	 * Returns the type name where the breakpoint should installed.
	 * 
	 * @return the type name where the breakpoint should installed.
	 */
	public String getTypeName();

	/**
	 * Returns the number of times the breakpoint will be hit before suspending
	 * execution - 0 if it should always suspend.
	 * 
	 * @return the number of times the breakpoint will be hit before suspending
	 *         execution - 0 if it should always suspend.
	 */
	public int getHitCount();

}
