/*
 * $Id: TestClient.java,v 1.2 2005/08/10 14:33:14 lehmann Exp $
 * 
 * Copyright (C) 2005 Karsten Lehmann
 * 
 * Software Engineering Chair, Saarland University
 * Prof. Dr. Andreas Zeller
 *
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
 *
 * Created on Jan 7, 2005 11:23:23 AM by
 * @author Karsten Lehmann 
 * Mail to: lehmann@cs.uni-sb.de or KarstenLehmann@web.de
 */
package org.deltadebugging.ddstate.launcher.server;

import java.rmi.Naming;
import java.rmi.RemoteException;

import org.deltadebugging.ddstate.launcher.client.testrunner.JUnitTestDescription;

/**
 * COMMENTME Comment type DDTestClient
 * 
 * @author <a href="mailto:KarstenLehmann@web.de">Karsten Lehmann </a>
 */
public class TestClient {

    public IRemoteTestManager testConnectToServer(String rmiServer) {
        IRemoteTestManager result = null;

        System.out.print("Try to connect to RemoteTestManager ... ");
        try {
            result = (IRemoteTestManager) Naming.lookup("rmi://" + rmiServer
                    + "/" + IRemoteTestManager.SERVICE_NAME);
            System.out.println("OK");
        } catch (Exception e) {
            System.out.println("FAIL");
            e.printStackTrace();
        }

        return result;
    }

    public IRemoteTestRunner testGetRemoteTestRunner(IRemoteTestManager manager) {
        IRemoteTestRunner result = null;

        System.out.print("Try to get a RemoteTestRunner ... ");
        try {
            result = manager.getTestRunner(true);

            System.out.println("OK");
        } catch (RemoteException e) {
            System.out.println("FAIL");
            e.printStackTrace();
        }

        return result;
    }

    public void testRunTestCase(IRemoteTestRunner testRunner,
            JUnitTestDescription testDesc) {
        System.out.print("Try to excecute the test run ... ");
        try {
            testRunner.run(testDesc);
            System.out.println("OK");
        } catch (RemoteException e) {
            System.out.println("FAIL");
            e.printStackTrace();
        }

    }

    public static void main(String[] args) {
        TestClient client = new TestClient();
        IRemoteTestManager manager = client.testConnectToServer("localhost");
        IRemoteTestRunner testRunner = client.testGetRemoteTestRunner(manager);

        JUnitTestDescription testDesc = new JUnitTestDescription(
                "org.deltadebugging.ddstate.testsuite.memgraph.superclass.SuperclassTest",
                "testFailingRun");
        client.testRunTestCase(testRunner, testDesc);
    }
}