/*
 * $Id: MethodTraceWriter.java,v 1.1 2005/07/22 07:18:46 lehmann Exp $
 * 
 * Copyright (C) 2005 Karsten Lehmann
 * 
 * Software Engineering Chair, Saarland University
 * Prof. Dr. Andreas Zeller
 *
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
 *
 * Created on Jul 19, 2005 1:07:36 PM by
 * @author Karsten Lehmann 
 * Mail to: lehmann@cs.uni-sb.de or KarstenLehmann@web.de
 */
package org.deltadebugging.ddstate.launcher.server.instrumenter;

import org.deltadebugging.ddstate.launcher.matcher.MethodTrace;


/**
 * COMMENTME Comment type MethodTraceWriter
 * 
 * @author <a href="mailto:KarstenLehmann@web.de">Karsten Lehmann </a>
 */
public class MethodTraceWriter {

    private static MethodTrace fTrace = null;
    private static boolean fEnabled = true;

    public static void enabledTracing() {
        fEnabled = true;
    }

    public static void disabledTracing() {
        fEnabled = false;
    }
    
    public static boolean isTracingEnabled() {
        return fEnabled;
    }

    public static void setTraceContainer(MethodTrace traceContainer) {
        fTrace = traceContainer;
    }

    public static void releaseTraceContainer() {
        fTrace = null;
        fEnabled = false;
    }

    private static boolean tracingPossible() {
        return fTrace != null && fEnabled;
    }

    public static void methodEnter(int methodID) {
        if (tracingPossible()) {
            fTrace.addMethodEnter(methodID);
        }
    }

    public static void methodExit(int methodID) {
        if (tracingPossible()) {
            fTrace.addMethodExit(methodID);
        }
    }

}
