/*
 * $Id: Predicate.java,v 1.2 2005/09/13 11:06:07 lehmann Exp $
 * 
 * Copyright (C) 2005 Karsten Lehmann
 * 
 * Software Engineering Chair, Saarland University
 * Prof. Dr. Andreas Zeller
 *
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
 *
 * Created on Sep 12, 2005 11:13:52 AM by
 * @author Karsten Lehmann 
 * Mail to: lehmann@cs.uni-sb.de or KarstenLehmann@web.de
 */
package org.deltadebugging.ddstate.launcher.tester.predicate;

/**
 * The predicate defines the outcome of one junit test run.
 * 
 * @author <a href="mailto:KarstenLehmann@web.de">Karsten Lehmann</a>
 */
public abstract class Predicate implements IPredicate {

	/**
	 * The state of the predicate. This can be
	 * <code>STATE_TEST_SUCCESSFUL</code>,
	 * <code>STATE_TEST_WITH_FAILURES</code> or
	 * <code>STATE_TEST_WITH_ERRORS</code>.
	 */
	private final int fState;

	public Predicate(int state) {
		this.fState = state;
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see org.deltadebugging.ddstate.launcher.tester.predicate.IPredicate#getState()
	 */
	public int getState() {
		return this.fState;
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see org.deltadebugging.ddstate.launcher.tester.predicate.IPredicate#wasSuccessful()
	 */
	public boolean wasSuccessful() {
		return this.fState == IPredicate.STATE_TEST_SUCCESSFUL;
	}

}
