/*
 * $Id: NewStringTest.java,v 1.3 2005/09/28 13:15:48 lehmann Exp $
 * 
 * Copyright (C) 2005 Karsten Lehmann
 * 
 * Software Engineering Chair, Saarland University
 * Prof. Dr. Andreas Zeller
 *
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
 *
 * Created on 25.04.2005 10:25:18 by
 * @author Karsten Lehmann 
 * Mail to: lehmann@cs.uni-sb.de or KarstenLehmann@web.de
 */
package org.deltadebugging.ddstate.testsuite.delta.newobject.string;

import junit.framework.Assert;
import junit.framework.TestCase;

public class NewStringTest extends TestCase {

	public void testPassingRun() {
		String myName = null;
		Assert.assertNull(myName);
	}

	public void testFailingRun() {
		String myName = "Karsten Lehmann";
		Assert.assertNull(myName);
	}
	
	public void testPassThreeStrings() {
		String a = "bar";
		String b = "bar";
		String c = "foo";
		Assert.assertEquals("bar", a);
	}
	
	public void testFailThreeStrings() {
		String a = "foo";
		String b = "foo";
		String c = "foo";
		Assert.assertEquals("bar", b);
	}
	
	public void testPassThreeObjects() {
		Object a = new Object();
		Object b = a;
		Object c = new Object();
		Assert.assertEquals(a, a);
	}
	
	public void testFailThreeObjects() {
		Object c = new Object();
		Object a = c;
		Object b = c;
		Assert.assertEquals(new Object(), b);
	}

}