/*
 * $Id: IP.java,v 1.1 2005/05/05 17:33:47 lehmann Exp $
 * 
 * Copyright (C) 2005 Karsten Lehmann
 * 
 * Software Engineering Chair, Saarland University
 * Prof. Dr. Andreas Zeller
 *
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
 *
 * Created on 05.05.2005 18:30:16 by
 * @author Karsten Lehmann 
 * Mail to: lehmann@cs.uni-sb.de or KarstenLehmann@web.de
 */
package org.deltadebugging.ddstate.testsuite.delta.testobjects;

/**
 * COMMENTME Comment type IP
 * 
 * @author <a href="mailto:KarstenLehmann@web.de">Karsten Lehmann </a>
 */
public class IP {

	private final char[] ip;

	public IP(String strIP) {
		this.ip = strIP.toCharArray();
	}

	public int getLength() {
		return this.ip.length;
	}

	public char getCharAt(int index) {
		if (index < 0 || index > this.getLength() - 1)
			throw new IllegalArgumentException("index out of range.");

		return this.ip[index];
	}

	public boolean equals(Object obj) {
		boolean result = false;

		if (obj instanceof IP) {
			IP objIP = (IP) obj;

			if (this.getLength() == objIP.getLength()) {
				result = true;
				for (int i = 0; i < this.getLength(); i++) {
					result &= this.getCharAt(i) == objIP.getCharAt(i);
				}
			}
		}

		return result;
	}
}
