/*
 * $Id: StaticTestClass.java,v 1.1 2005/07/14 07:32:59 lehmann Exp $
 * 
 * Copyright (C) 2005 Karsten Lehmann
 * 
 * Software Engineering Chair, Saarland University
 * Prof. Dr. Andreas Zeller
 *
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
 *
 * Created on 01.06.2005 10:56:00 by
 * @author Karsten Lehmann 
 * Mail to: lehmann@cs.uni-sb.de or KarstenLehmann@web.de
 */
package org.deltadebugging.ddstate.testsuite.delta.testobjects;

/**
 * COMMENTME Comment type StaticTestClass
 *
 * @author <a href="mailto:KarstenLehmann@web.de">Karsten Lehmann</a>
 */
public class StaticTestClass {

    public static boolean initStaticVariable = true;
    public boolean initMemberVariable = true;
    public static boolean callStaticBlock;
    public boolean callDefaultConstructor = false;
    public boolean callConstructorBlock = false;
    
    static {
        callStaticBlock = true;
    }
    
    public StaticTestClass() {
        this.callDefaultConstructor = true;
    }
    
    {
        this.callConstructorBlock = true;
    }
    
    
    
    /* (non-Javadoc)
     * @see java.lang.Object#toString()
     */
    public String toString() {
        StringBuffer result = new StringBuffer();
        result.append("Init static variable     = " + initStaticVariable + "\n");
        result.append("Init member variable     = " + initMemberVariable + "\n");
        result.append("Call static block        = " + callStaticBlock + "\n");
        result.append("Call default constructor = " + callDefaultConstructor + "\n");
        result.append("Call constructor block   = " + callConstructorBlock);
        
        return result.toString();
    }
}
