/*
 * $Id: TestRun.java,v 1.2 2005/09/28 13:15:47 lehmann Exp $
 * 
 * Copyright (C) 2005 Karsten Lehmann
 * 
 * Software Engineering Chair, Saarland University
 * Prof. Dr. Andreas Zeller
 *
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
 *
 * Created on 05.05.2005 18:29:28 by
 * @author Karsten Lehmann 
 * Mail to: lehmann@cs.uni-sb.de or KarstenLehmann@web.de
 */
package org.deltadebugging.ddstate.testsuite.memgraph.superclass2;

import org.deltadebugging.ddstate.testsuite.delta.testobjects.IP;

import junit.framework.Assert;
import junit.framework.TestCase;

public class TestRun extends TestCase {

	public void testPass() {
		SecondSubClass subClass = new SecondSubClass();
		foo();
		Assert.assertTrue(true);
	}

	public void testFail() {
		SecondSubClass subClass = new SecondSubClass();
		((FirstSubClass) subClass).protectedInt = 100;
		((Superclass) subClass).defaultInt = 101;
		foo();
		Assert.assertTrue(((FirstSubClass) subClass).protectedInt == 12
				&& ((Superclass) subClass).defaultInt == 4);
	}
	
	public void testPassString() {
		String first = "Karsten";
		String second = "Karsten";
		foo();
		assertTrue(first.equals(second) && second.equals("Karsten"));
	}
	
	public void testFailString() {
		String first = "Kurt";
		String second = "Kurt";
		foo();
		assertTrue(first.equals(second) && second.equals("Karsten"));
	}
	
	public void testPassArray() {
		IP first = new IP("127.0.0.1");
		IP second = first;
		foo();
		assertTrue(first.equals(second) && first.getLength() == 9);
	}
	
	public void testFailArray() {
		IP first = new IP("127.0.0.127");
		IP second = first;
		foo();
		assertTrue(first.equals(second) && first.getLength() == 9);
	}

	void foo() {
		
	}
}
