/*
 * $Id: CTSRunListener.java,v 1.3 2005/10/05 10:34:28 lehmann Exp $
 * 
 * Copyright (C) 2005 Karsten Lehmann
 * 
 * Software Engineering Chair, Saarland University
 * Prof. Dr. Andreas Zeller
 *
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
 *
 * Created on Aug 17, 2005 7:08:49 PM by
 * @author Karsten Lehmann 
 * Mail to: lehmann@cs.uni-sb.de or KarstenLehmann@web.de
 */
package org.deltadebugging.ddstate.ui.resultmanager;

import org.deltadebugging.ddstate.launcher.client.cts.ICTSRunListener;
import org.deltadebugging.ddstate.launcher.client.cts.ICTSRunResult;
import org.deltadebugging.ddstate.launcher.ddrun.IDDLaunchDescription;
import org.deltadebugging.ddstate.ui.DDStateUIPlugin;
import org.deltadebugging.ddstate.ui.views.cts.CTSResultView;
import org.eclipse.ui.IViewPart;
import org.eclipse.ui.IWorkbenchPage;
import org.eclipse.ui.IWorkbenchWindow;
import org.eclipse.ui.PartInitException;
import org.eclipse.ui.PlatformUI;

public class CTSRunListener implements ICTSRunListener {

    public void ctsRunStarted(IDDLaunchDescription desc) {
        // do nothing
    }

    public void ctsRunTerminated(final ICTSRunResult result) {
        DDStateUIPlugin.getStandardDisplay().asyncExec(new Runnable() {
            public void run() {
                IWorkbenchWindow window = PlatformUI.getWorkbench()
                        .getActiveWorkbenchWindow();
                if (window != null) {
                    IWorkbenchPage page = window.getActivePage();
                    if (page != null) {
                        try {
                            IViewPart resultView = page.showView(
                                    DDStateUIPlugin.CTS_RESULT_VIEW_ID, ""
                                            + result.getLaunchDescription()
                                                    .getDDLaunchID(),
                                    IWorkbenchPage.VIEW_CREATE);
                            ((CTSResultView) resultView).display(result);

                        } catch (PartInitException pie) {
                            // do nothing
                        }
                    }

                }
            }

        });

    }

}
