/*
 * $Id: IDDRunResultListener.java,v 1.1 2005/04/20 09:15:47 lehmann Exp $
 * 
 * Copyright (C) 2005 Karsten Lehmann
 * 
 * Software Engineering Chair, Saarland University
 * Prof. Dr. Andreas Zeller
 *
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
 *
 * Created on 09.04.2005 17:07:47 by
 * @author Karsten Lehmann 
 * Mail to: lehmann@cs.uni-sb.de or KarstenLehmann@web.de
 */
package org.deltadebugging.ddstate.ui.resultmanager;

import org.deltadebugging.ddstate.launcher.ddrun.IDDRunResult;


/**
 * COMMENTME Comment type IDDRunResultListener
 * 
 * @author <a href="mailto:KarstenLehmann@web.de">Karsten Lehmann </a>
 */
public interface IDDRunResultListener {

    /**
     * Notification the given dd run result have been added to the dd run result
     * manager.
     * 
     * @param results
     *            added dd run results
     */
    public void ddRunResultsAdded(IDDRunResult[] results);

    /**
     * Notification the given results have been removed from the dd run result
     * manager.
     * 
     * @param results
     *            removed dd run results
     */
    public void ddRunResultsRemoved(IDDRunResult[] results);

}