/*
 * $Id: IDDRunResultView.java,v 1.1 2005/04/20 09:15:47 lehmann Exp $
 * 
 * Copyright (C) 2005 Karsten Lehmann
 * 
 * Software Engineering Chair, Saarland University
 * Prof. Dr. Andreas Zeller
 *
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
 *
 * Created on 09.04.2005 18:22:38 by
 * @author Karsten Lehmann 
 * Mail to: lehmann@cs.uni-sb.de or KarstenLehmann@web.de
 */
package org.deltadebugging.ddstate.ui.views;

import org.deltadebugging.ddstate.launcher.ddrun.IDDRunResult;
import org.eclipse.ui.IViewPart;

/**
 * COMMENTME Comment type IDDRunResultView
 * 
 * @author <a href="mailto:KarstenLehmann@web.de">Karsten Lehmann </a>
 */
public interface IDDRunResultView extends IViewPart {

    /**
     * Displays the page for the given dd run result in this result view. Has no
     * effect if this result view has a pinned dd run result.
     * 
     * @param result
     *            dd run result to display, cannot be <code>null</code>
     */
    public void display(IDDRunResult result);

    /**
     * Displays and pins the given dd run result in this result view. No other
     * dd run result can be displayed until this result view is un-pinned.
     * Specifying <code>null</code> un-pins this console
     * 
     * @param result
     *            dd run result to pin, or <code>null</code> to un-pin
     */
    public void pin(IDDRunResult result);

    /**
     * Returns whether this dd run result view is currently pinned to a specific
     * dd run result.
     * 
     * @return whether this dd run result view is currently pinned to a specific
     *         dd run result.
     */
    public boolean isPinned();

    /**
     * Returns the dd run result currently being displayed, or <code>null</code>
     * if none
     * 
     * @return the dd run result currently being displayed, or <code>null</code>
     *         if none
     */
    public IDDRunResult getDDRunResult();
}