/*
 * $Id: RemoveDDRunResultAction.java,v 1.1 2005/04/20 09:15:47 lehmann Exp $
 * 
 * Copyright (C) 2005 Karsten Lehmann
 * 
 * Software Engineering Chair, Saarland University
 * Prof. Dr. Andreas Zeller
 *
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
 *
 * Created on 20.04.2005 10:04:14 by
 * @author Karsten Lehmann 
 * Mail to: lehmann@cs.uni-sb.de or KarstenLehmann@web.de
 */
package org.deltadebugging.ddstate.ui.views.actions;

import org.deltadebugging.ddstate.launcher.ddrun.IDDRunResult;
import org.deltadebugging.ddstate.ui.DDStateUIPlugin;
import org.deltadebugging.ddstate.ui.images.DDStateUIImages;
import org.deltadebugging.ddstate.ui.images.IDDStateUIImageConstants;
import org.deltadebugging.ddstate.ui.views.IDDRunResultView;
import org.eclipse.jface.action.Action;

/**
 * COMMENTME Comment type RemoveDDRunResultAction
 * 
 * @author <a href="mailto:KarstenLehmann@web.de">Karsten Lehmann </a>
 */
public class RemoveDDRunResultAction extends Action {
    private IDDRunResultView fView = null;

    /**
     * Constructs a 'remove dd run result' action
     */
    public RemoveDDRunResultAction(IDDRunResultView view) {
        super("Remove"); //$NON-NLS-1$
        setToolTipText("Remove"); //$NON-NLS-1$
        setImageDescriptor(DDStateUIImages
                .getImageDescriptor(IDDStateUIImageConstants.IMG_ELCL_REM));
        setDisabledImageDescriptor(DDStateUIImages
                .getImageDescriptor(IDDStateUIImageConstants.IMG_DLCL_REM));
        this.fView = view;
        this.update();
    }

    /*
     * (non-Javadoc)
     * 
     * @see org.eclipse.jface.action.IAction#run()
     */
    public void run() {
        IDDRunResult ddRunResult = this.fView.getDDRunResult();

        if (ddRunResult != null) {
            if (this.fView.isPinned()) {
                this.fView.pin(null);
            }
            
            DDStateUIPlugin.getDefault().getDDRunResultManager()
                    .removeDDRunResults(new IDDRunResult[] { ddRunResult });
        }
    }

    /*
     * (non-Javadoc)
     * 
     * @see org.eclipse.ui.texteditor.IUpdate#update()
     */
    public void update() {
        setEnabled(this.fView.getDDRunResult() != null);
    }
}