/*
 * $Id: GraphVisualizerException.java,v 1.2 2005/07/13 07:23:01 lehmann Exp $
 * 
 * Copyright (C) 2004 Karsten Lehmann
 * 
 * Software Engineering Chair, Saarland University
 * Prof. Dr. Andreas Zeller
 *
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
 *
 * Created on 16.12.2004 17:16:15 by
 * @author Karsten Lehmann 
 * Mail to: lehmann@cs.uni-sb.de or KarstenLehmann@web.de
 */
package org.deltadebugging.ddstate.visualizer.vizgraph.exceptions;

/**
 * A generic exception if something went wrong on the visualization of the
 * memory graph.
 * 
 * @author <a href="mailto:KarstenLehmann@web.de">Karsten Lehmann </a>
 */
public class GraphVisualizerException extends Exception {

    private static final long serialVersionUID = 5951101863902694608L;

    public GraphVisualizerException() {
        super();
    }

    public GraphVisualizerException(String message) {
        super(message);
    }

    public GraphVisualizerException(String message, Throwable cause) {
        super(message, cause);
    }

    public GraphVisualizerException(Throwable cause) {
        super(cause);
    }
}

