/*
 * $Id: VizPrimitiveTypeNode.java,v 1.1 2005/11/14 12:58:25 lehmann Exp $
 * 
 * Copyright (C) 2004 Karsten Lehmann
 * 
 * Software Engineering Chair, Saarland University
 * Prof. Dr. Andreas Zeller
 *
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
 *
 * Created on 16.12.2004 16:11:46 by
 * @author Karsten Lehmann 
 * Mail to: lehmann@cs.uni-sb.de or KarstenLehmann@web.de
 */
package org.deltadebugging.ddstate.visualizer.vizgraph.type;

import org.deltadebugging.ddstate.memorygraph.type.IPrimitiveTypeNode;
import org.deltadebugging.ddstate.visualizer.attributes.GraphVizAttribute;
import org.deltadebugging.ddstate.visualizer.attributes.GraphVizAttributeList;
import org.deltadebugging.ddstate.visualizer.vizgraph.VizRootNode;

/**
 * The decorator class for the <code>IPrimitiveTypeNode</code>.
 * 
 * @see org.deltadebugging.ddstate.memorygraph.type.IPrimitiveTypeNode
 * 
 * @author <a href="mailto:KarstenLehmann@web.de">Karsten Lehmann </a>
 */
public class VizPrimitiveTypeNode extends VizTypeNode {

    /**
     * @param graphNode
     */
    public VizPrimitiveTypeNode(IPrimitiveTypeNode graphNode,
            VizRootNode rootNode) {
        super(graphNode, rootNode);
    }

    /*
     * @see org.deltadebugging.ddstate.visualizer.vizgraph.VizGraphElement#getGraphVizName(boolean)
     */
    public String getGraphVizName(boolean fullQualified) {

        String typeName = this.getTypeName();

        return "<PrimitiveTypeNode " + typeName + ">";
    }

    /*
     * @see org.deltadebugging.ddstate.visualizer.vizgraph.VizGraphElement#getGraphVizAttributes()
     */
    public GraphVizAttributeList getGraphVizAttributes() {
        GraphVizAttributeList attrList = super.getGraphVizAttributes();
        attrList.addAttribute(GraphVizAttribute.COLOR_BLUE);
        attrList.addAttribute(GraphVizAttribute.FONTCOLOR_WHITE);

        return attrList;
    }
}

