/*
 * $Id: VizNullValueNode.java,v 1.1 2005/11/14 12:58:25 lehmann Exp $
 * 
 * Copyright (C) 2004 Karsten Lehmann
 * 
 * Software Engineering Chair, Saarland University
 * Prof. Dr. Andreas Zeller
 *
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
 *
 * Created on 16.12.2004 13:25:55 by
 * @author Karsten Lehmann 
 * Mail to: lehmann@cs.uni-sb.de or KarstenLehmann@web.de
 */
package org.deltadebugging.ddstate.visualizer.vizgraph.value;

import org.deltadebugging.ddstate.memorygraph.value.INullValueNode;
import org.deltadebugging.ddstate.visualizer.attributes.GraphVizAttribute;
import org.deltadebugging.ddstate.visualizer.attributes.GraphVizAttributeList;
import org.deltadebugging.ddstate.visualizer.vizgraph.VizRootNode;

/**
 * The decorator class for the <code>INullValueNode</code>.
 * 
 * @see org.deltadebugging.ddstate.memorygraph.value.INullValueNode
 * 
 * @author <a href="mailto:KarstenLehmann@web.de">Karsten Lehmann </a>
 */
public class VizNullValueNode extends VizValueNode {

    /**
     * The name representing on the visualized graph.
     */
    private final static String GRAPHVIZ_NAME = "<< NULL >>";

    public VizNullValueNode(INullValueNode graphNode,
            VizRootNode rootNode) {
        super(graphNode, rootNode);
    }

    /*
     * @see org.deltadebugging.ddstate.visualizer.vizgraph.IVizGraphElement#getGraphVizName(boolean)
     */
    public String getGraphVizName(boolean fullQualified) {
        return GRAPHVIZ_NAME;
    }

    /*
     * @see org.deltadebugging.ddstate.visualizer.vizgraph.IVizGraphElement#getGraphVizAttributes()
     */
    public GraphVizAttributeList getGraphVizAttributes() {
        GraphVizAttributeList attrList = new GraphVizAttributeList();

        attrList.addAttribute(GraphVizAttribute.SHAPE_PLAINTEXT);

        return attrList;
    }

}
