/*
 * $Id: GraphDifferentMarker.java,v 1.5 2006/01/24 19:46:37 lehmann Exp $
 * 
 * Copyright (C) 2004 Karsten Lehmann
 * 
 * Software Engineering Chair, Saarland University
 * Prof. Dr. Andreas Zeller
 *
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
 *
 * Created on 14.12.2004 16:05:49 by
 * @author Karsten Lehmann 
 * Mail to: lehmann@cs.uni-sb.de or KarstenLehmann@web.de
 */
package org.deltadebugging.ddstate.comparator.delta;

import java.util.Iterator;

import org.deltadebugging.ddstate.memorygraph.IGraphEdge;
import org.deltadebugging.ddstate.memorygraph.IGraphElement;
import org.deltadebugging.ddstate.memorygraph.IGraphNode;

/**
 * COMMENTME Comment type GraphDifferentMarker
 * 
 * @author <a href="mailto:KarstenLehmann@web.de">Karsten Lehmann </a>
 */
public class GraphDifferentMarker implements IGraphDecoratorListener {

    /**
     * 
     */
    public GraphDifferentMarker() {
        super();
    }

    /*
     * (non-Javadoc)
     * 
     * @see org.deltadebugging.ddstate.memorygraph.comperator.delta.IGraphMaskListener#graphElementMaskAs(org.deltadebugging.ddstate.memorygraph.IGraphElement,
     *      int)
     */
    public void graphElementMaskAs(IGraphElement graphElement, int mask) {

        assert mask != GraphDecorator.NOT_COMPARED;

        if (mask != GraphDecorator.EQUAL) {
            this.markWithDiffVisualizerFlag(graphElement);
        }

    }

    // COMMENTME markWithDiffVisualizerFlag
    private void markWithDiffVisualizerFlag(IGraphElement graphElement) {
        if (!graphElement.isDiffVisualizerFlagSet()) {
            graphElement.setDiffVisualizerFlag();

            if (graphElement instanceof IGraphEdge) {
                IGraphEdge edge = (IGraphEdge) graphElement;
                IGraphNode targetNode = edge.getTargetNode();

                targetNode.setDiffVisualizerFlag();

                if (targetNode.hasAssociatedElement()) {
                    targetNode.getAssociatedElement().setDiffVisualizerFlag();
                }

                this.markWithDiffVisualizerFlag(edge.getSourceNode());

            } else {
                IGraphNode node = (IGraphNode) graphElement;

                Iterator itPredeccessors = node.getParents().iterator();
                while (itPredeccessors.hasNext()) {
                    IGraphEdge edge = (IGraphEdge) itPredeccessors.next();

                    this.markWithDiffVisualizerFlag(edge);
                }
            }

        }
    }
}
