/*
 * $Id: GraphEdgePair.java,v 1.2 2005/08/16 14:45:09 lehmann Exp $
 * 
 * Copyright (C) 2005 Karsten Lehmann
 * 
 * Software Engineering Chair, Saarland University
 * Prof. Dr. Andreas Zeller
 *
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
 *
 * Created on 21.04.2005 12:22:11 by
 * @author Karsten Lehmann 
 * Mail to: lehmann@cs.uni-sb.de or KarstenLehmann@web.de
 */
package org.deltadebugging.ddstate.comparator.delta;

import org.deltadebugging.ddstate.memorygraph.IGraphEdge;

/**
 * A graph edge pair is a pair of two edges :)
 * 
 * @author <a href="mailto:KarstenLehmann@web.de">Karsten Lehmann </a>
 */
public class GraphEdgePair {

	/** The first edge of the pair */
	private final IGraphEdge fFirstEdge;

	/** The second edge of the pair */
	private final IGraphEdge fSecondEdge;

	public GraphEdgePair(IGraphEdge firstEdge, IGraphEdge secondEdge) {
		if (firstEdge == null)
			throw new NullPointerException("First edge is null");

		if (secondEdge == null)
			throw new NullPointerException("Seocnd edge is null");

		this.fFirstEdge = firstEdge;
		this.fSecondEdge = secondEdge;
	}

	/**
	 * Returns the first edge of the pair.
	 * 
	 * @return the first edge of the pair.
	 */
	public IGraphEdge getFirstEdge() {
		return this.fFirstEdge;
	}

	/**
	 * Returns the second edge of the pair.
	 * 
	 * @return the second edge of the pair.
	 */
	public IGraphEdge getSecondEdge() {
		return this.fSecondEdge;
	}
}