/*
 * $Id: IMethodIdentifier.java,v 1.1 2005/08/21 13:14:11 lehmann Exp $
 * 
 * Copyright (C) 2005 Karsten Lehmann
 * 
 * Software Engineering Chair, Saarland University
 * Prof. Dr. Andreas Zeller
 *
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
 *
 * Created on 21.08.2005 14:18:41 by
 * @author Karsten Lehmann 
 * Mail to: lehmann@cs.uni-sb.de or KarstenLehmann@web.de
 */
package org.deltadebugging.ddstate.memorygraph;

/**
 * The method identifier characterises unambigious a method in a class.
 * 
 * @author <a href="mailto:KarstenLehmann@web.de">Karsten Lehmann</a>
 */
public interface IMethodIdentifier {

	/**
	 * Returns the fully qualified name of the type that declares the method.
	 * 
	 * @return the fully qualified name of the type that declares the method.
	 */
	public String getTypeName();

	/**
	 * Returns the method name;
	 * 
	 * @return the method name;
	 */
	public String getMethodName();

	/**
	 * Returns the JDI signature of the method.
	 * 
	 * @return the JDI signature of the method.
	 */
	public String getSignature();

}
