/*
 * $Id: PrimitiveTypeNode.java,v 1.4 2006/01/03 21:02:54 lehmann Exp $
 * 
 * Copyright (C) 2004 Karsten Lehmann
 * 
 * Software Engineering Chair, Saarland University
 * Prof. Dr. Andreas Zeller
 *
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
 *
 * Created on 26.08.2004 by
 * @author Karsten Lehmann 
 * Mail to: lehmann@cs.uni-sb.de or KarstenLehmann@web.de
 */
package org.deltadebugging.ddstate.memorygraph.type;

import org.deltadebugging.ddstate.memorygraph.IRootNode;
import org.deltadebugging.ddstate.memorygraph.exceptions.MemoryGraphExtractionException;
import org.eclipse.jdt.debug.core.IJavaType;

/**
 * @author <a href="mailto:KarstenLehmann@web.de">Karsten Lehmann </a>
 * 
 * COMMENTME Comment type ***
 */
public class PrimitiveTypeNode extends TypeNode implements IPrimitiveTypeNode {

	/**
	 * @param rootNode
	 * @throws MemoryGraphExtractionException
	 */
	public PrimitiveTypeNode(IRootNode rootNode, IJavaType type)
			throws MemoryGraphExtractionException {
		super(rootNode, type);
	}

	/**
	 * @see org.deltadebugging.ddstate.memorygraph.GraphNode#createChildren()
	 */
	protected void createChildren() {
		// a primitive type has no successor
		return;
	}
}